aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2011-03-17 03:57:14 +0000
committerMike Frysinger <vapier@gentoo.org>2011-03-17 03:57:14 +0000
commita22f2987c3edaa523173e7ccd7ac80621943b948 (patch)
tree9d4d8143c23a0049253ebf77a4a4f4e0dcbd7c8c
parentavoid using python when possible (diff)
downloadportage-utils-a22f2987c3edaa523173e7ccd7ac80621943b948.tar.gz
portage-utils-a22f2987c3edaa523173e7ccd7ac80621943b948.tar.bz2
portage-utils-a22f2987c3edaa523173e7ccd7ac80621943b948.zip
drop the md5sum test toov0.5
-rwxr-xr-xtests/source/dotest24
1 files changed, 12 insertions, 12 deletions
diff --git a/tests/source/dotest b/tests/source/dotest
index 9c683b16..bba12f92 100755
--- a/tests/source/dotest
+++ b/tests/source/dotest
@@ -99,17 +99,17 @@ find ../.. '(' -name '*.c' -o -name '*.h' ')' -print0 | xargs -0 \
testit src.style
-# Stupid BSD makes us check for this..
-if [ $(type -P md5sum) != "" ]; then
- for x in $(find ../.. '(' -name '*.c' -o -name '*.h' ')' ); do
- ./space "$x" > "$x~"
- if ! diff -u "$x" "$x~" ; then
- echo "New file: $x~"
- else
- rm -f "$x~"
- fi
- done > src.space
- testit src.space
-fi
+#
+# Auto clean up the space issues
+#
+for x in $(find ../.. '(' -name '*.c' -o -name '*.h' ')' ); do
+ ./space "$x" > "$x~"
+ if ! diff -u "$x" "$x~" ; then
+ echo "New file: $x~"
+ else
+ rm -f "$x~"
+ fi
+done > src.space
+testit src.space
exit ${ret}